Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.agent
Interface KnowledgeAgent

    public interface KnowledgeAgent

The KnolwedgeAgentFactory provides detailed information on how to create and use the KnowledgeAgent.

See Also:
  `KnowledgeAgentFactory`, `KnowledgeAgentConfiguration`

Nested Class Summary
`static class` | `KnowledgeAgent.ResourceStatus`

Method Summary
`void` | `addEventListener(KnowledgeAgentEventListener listener)`
`void` | `applyChangeSet(ChangeSet changeSet)`
`void` | `applyChangeSet(Resource resource)`
`void` | `dispose()`
`KnowledgeBase` | `getKnowledgeBase()` Returns the cached KnowledgeBase
`String` | `getName()`
`void` | `monitorResourceChangeEvents(boolean monitor)`
`StatelessKnowledgeSession` | `newStatelessKnowledgeSession()` StatelessKnowledgeSession created from here will always have the execute() method called against the latest built KnowledgeBase
`StatelessKnowledgeSession` | `newStatelessKnowledgeSession(KnowledgeSessionConfiguration conf)` StatelessKnowledgeSession created from here will always have the execute() method called against the latest built KnowledgeBase
`void` | `removeEventListener(KnowledgeAgentEventListener listener)`
`void` | `setSystemEventListener(SystemEventListener listener)`

Method Detail

### addEventListener

    void addEventListener(KnowledgeAgentEventListener listener)

### removeEventListener

    void removeEventListener(KnowledgeAgentEventListener listener)

### getName

    String getName()

  Returns:
    The name

### getKnowledgeBase

    KnowledgeBase getKnowledgeBase()

  Returns the cached KnowledgeBase

  Returns:
    The KnowledgeBase

### newStatelessKnowledgeSession

    StatelessKnowledgeSession newStatelessKnowledgeSession()

  StatelessKnowledgeSession created from here will always have the execute() method called against the latest built KnowledgeBase

  Returns:

### newStatelessKnowledgeSession

    StatelessKnowledgeSession newStatelessKnowledgeSession(KnowledgeSessionConfiguration conf)

  StatelessKnowledgeSession created from here will always have the execute() method called against the latest built KnowledgeBase

  Returns:

### monitorResourceChangeEvents

    void monitorResourceChangeEvents(boolean monitor)

### applyChangeSet

    void applyChangeSet(Resource resource)

### applyChangeSet

    void applyChangeSet(ChangeSet changeSet)

### setSystemEventListener

    void setSystemEventListener(SystemEventListener listener)

### dispose

    void dispose()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.